Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::partial_sum_fn Struct Reference

## Public Member Functions
template<typename I , typename S1 , typename O , typename S2 , typename BOp = plus, typename P = ident, requires = (Sentinel<S1, I>() && Sentinel<S2, O>() && PartialSummable<I, O, BOp, P>())>
tagged_pair< tag::in(I), tag::out(O)> | operator() (I begin, S1 end, O result, S2 end_result, BOp bop=BOp{}, P proj=P{}) const
template<typename I , typename S , typename O , typename BOp = plus, typename P = ident, requires = (Sentinel<S, I>() && PartialSummable<I, O, BOp, P>())>
tagged_pair< tag::in(I), tag::out(O)> | operator() (I begin, S end, O result, BOp bop=BOp{}, P proj=P{}) const
template<typename Rng , typename ORef , typename BOp = plus, typename P = ident, typename I = iterator_t<Rng>, typename O = uncvref_t<ORef>, requires = (Range<Rng>() && PartialSummable<I, O, BOp, P>())>
tagged_pair< tag::in(safe_iterator_t< Rng >), tag::out(O)> | operator() (Rng &&rng, ORef &&result, BOp bop=BOp{}, P proj=P{}) const
template<typename Rng , typename ORng , typename BOp = plus, typename P = ident, typename I = iterator_t<Rng>, typename O = iterator_t<ORng>, requires = (Range<Rng>() && Range<ORng>() && PartialSummable<I, O, BOp, P>())>
tagged_pair< tag::in(safe_iterator_t< Rng >), tag::out(safe_iterator_t< ORng >)> | operator() (Rng &&rng, ORng &&result, BOp bop=BOp{}, P proj=P{}) const